@charset "utf-8";

/* SITE TEMPLATE
 * Header 
 * Footer
 * Mobile Nav
 * Page Head
 */

#page {
  overflow: hidden;
}

html.nav-open, body.nav-open {
  overflow: hidden;
}

/* Header
--------------------------------------------- */
.site-header-mobile, .mobile-screen {
  display: none;
}

.site-header {
  position: fixed;
  top: 0;
  width: 100%;
  height: 96px;
  z-index: 100;
}

.site-header::after {
  display: block;
  position: absolute;
  top: 0;
  width: 100%;
  height: 0;
  background-color: #FFF;
  content: "";
  box-shadow: 0px 6px 8px 0px rgba(0, 0, 0, 0.06);
  transition: height .15s ease-out;
  z-index: 1;
}

.site-header.light::after {
  height: 96px;
}

.header-masthead {
  display: flex;
  justify-content: space-between;
  max-width: 1440px;
  height: 100%;
  margin: 0 auto;
  align-items: center;
  z-index: 10;
}

h1.site-logo {
  height: 100%;
  display: flex;
  align-items: center;
}

h1.site-logo a {
  display: block;
  width: 155px;
  height: 48px;
}

h1.site-logo a img {
  width: 100%;
  height: 100%;
}

.site-header h1.site-logo a img.light {
  display: none;
}

.site-header.light h1.site-logo a img {
  display: none;
}

.site-header.light h1.site-logo a img.light {
  display: block;
}

nav.site-nav {
  display: flex;
  z-index: 10;
}

.nav-gnb {
  display: flex;
  gap: 6px;
}

ul.nav-gnb > li {
  position: relative;
  display: flex;
  margin: 0px 22px;
  align-items: center;
  justify-content: center;
}

ul.nav-gnb > li.global {
  margin-right: 0;
}

ul.nav-gnb > li > a {
  position: relative;
  display: block;
  color: #FFF;
  font-size: 19px;
  font-weight: 600;
  padding: 16px;
  white-space: nowrap;
  transition: color .15s ease;
}

ul.nav-gnb > li > a:lang(en) {
  font-size: 18px;
  line-height: 1.0em;
}

ul.nav-gnb > li:hover > a, .site-header.light ul.nav-gnb > li:hover > a {
  color: var(--primary);
}

.site-header.light ul.nav-gnb > li > a {
  color: var(--dark);
  transition: color .1s ease;
}

.site-header a.global-button {
  display: block;
  width: 24px;
  height: 24px;
  background: url(../images/ico-global.svg) 50%;
}

.site-header a.global-button.active {
  opacity: .6;
}

.site-header.light a.global-button {
  background: url('../images/ico-global-dark.svg') 50%;
}

ul.nav-gnb > li.global > ul.global-lang {
  display: none;
  position: absolute;
  top: 58px;
  left: 50%;
  padding: 0;
  background-color: #FFF;
  border-radius: 5px;
  transform: translate(-50%, 0);
  overflow: hidden;
  box-shadow: 0 1px 2px rgba(0 0 0 / 12%);
}

ul.nav-gnb > li.global > ul.global-lang > li > a {
  display: block;
  color: var(--gray400);
  font-size: 13px;
  font-weight: 500;
  padding: 10px 18px;
  text-align: center;
  transition: color .2s ease;
}

ul.nav-gnb > li.global > ul.global-lang > li > a:hover {
  color: var(--dark);
}

ul.nav-gnb > li.global > ul.global-lang > li > a.active {
  color: var(--dark);
  background-color: var(--blue200);
}

ul.nav-gnb > li > .sub-menu {
  position: absolute;
  background-color: #FFF;
  padding: 12px;
  margin: 0;
  border-radius: 16px;
  top: calc(100% - 0px);
  right: 50%;
  width: auto;
  min-width: 160px;
  height: auto;
  transform: translateX(50%);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.2s ease, visibility 0.2s ease;
  box-shadow: 0px 10px 12px 0px rgba(0, 0, 0, 0.06);
  z-index: 1;
}

ul.nav-gnb > li:hover > .sub-menu,
ul.nav-gnb > li:focus > .sub-menu {
  visibility: visible;
  opacity: 1;
}

ul.nav-gnb > li > ul.sub-menu > li {
  margin: 0;
}

ul.nav-gnb > li > ul.sub-menu > li > a {
  display: block;
  font-size: 15px;
  letter-spacing: -0.01em;
  text-align: center;
  padding: 12px 6px;
  transition: color 0.15s;
  white-space: nowrap;
}

ul.nav-gnb > li > ul.sub-menu > li > a:hover {
  color: var(--primary);
}

/* Footer
--------------------------------------------- */
.site-footer {
  background: var(--dark);
}

.footer-content-inner {
  max-width: 1440px;
  margin: 0 auto;
  padding: 60px 0 120px 0;
}

.footer-content-info {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.footer-logo {
  width: 136px;
  height: 36px;
}

.footer-site-info {
  display: flex;
  gap: 68px;
}

.footer-address {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.footer-address p {
  display: flex;
  gap: 18px;
}

.footer-address p span.strong {
  color: #FFF;
  font-weight: 400;
}

.footer-address p, .footer-address p span, .copyright {
  color: var(--gray300);
  font-size: 14px;
  line-height: 1.4;
  font-weight: 300;
}

.footer-slogun {
  display: flex;
  gap: 60px;
  align-items: center;
}

.footer-slogun p {
  color: var(--gray300);
  font-size: 42px;
  font-family: var(--barlow);
}

.footer-slogun::after {
  display: block;
  background-color: var(--gray300);
  flex-grow: 1;
  height: 2px;
  content: "";
}

.copyright {
  font-size: 12px;
}


.footer-address p.copyright {
  color: var(--gray200);
  font-size: 12px;
  letter-spacing: 0.05em;
  margin-top: 32px;
}

#page-up {
  position: fixed;
  bottom: 24px;
  right: 24px;
  width: 62px;
  height: 62px;
  border-radius: 50%;
  background: #FFF url(../images/ico-arrow-top.svg) 50%;
  z-index: 9;
  transition: background .15s ease;
  cursor: pointer;
  box-shadow: 0px 6px 8px 0px rgba(0, 0, 0, 0.1);
  display: none;
}

/*** Page Head ***/
.head-section {
  width: 100%;
  height: 500px;
  background-color: #000;
  overflow: hidden;
  background-size: cover !important;
}

.head-section:before {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0 0 0 / 100%);
  content: "";
  transition: background 1s ease-out;
}

.head-section.fade-in:before {
  background-color: rgba(0 0 0 / 0);
}

.head-section.head-intro {
  background: #000 url('../images/content/bg-page-intro.jpg') 50% 0 / cover;
}

.head-section.head-biz {
  background: #000 url('../images/content/bg-page-biz.jpg') 50% 0 / cover;
}

.head-section.head-case {
  background: #000 url('../images/content/bg-page-case.jpg') 50% 0 / cover;
}

.head-section.head-warranty {
  background: #000 url('../images/content/bg-page-warranty.jpg') 50% 0 / cover;
}

.head-section.head-consult {
  background: #000 url('../images/content/bg-page-consult.jpg') 50% 0 / cover;
}

.head-section-inner {
  display: flex;
  align-items: flex-end;
  max-width: 1440px;
  height: 100%;
  margin: 0 auto;
  padding-bottom: 70px;
}

.head-typo {
  display: flex;
  gap: 60px;
  align-items: center;
  width: 100%;
  overflow: hidden;
}

.head-typo-slogun {
  color: var(--gray100);
  font-size: 48px;
  font-weight: 700;
  flex-shrink: 0;
}

.thin-line {
  flex-grow: 1;
  width: 100%;
  height: 1px;
  background-color: rgba(255 255 255 / 60%);
}

.head-typo-sub {
  color: var(--gray100);
  font-size: 21px;
  font-weight: 700;
  letter-spacing: 0.02em;
  font-family: var(--barlow);
  flex-shrink: 0;
}

/*** Page Container ***/
.container {
  /* */
}

.content {
  max-width: 1440px;
  margin: 0 auto;
  padding: 50px 0 200px 0;
}


/* RWD
--------------------------------------------- */
@media screen and (max-width:1536px) {
  /* Footer */
  .footer-content-inner {
    padding-left: 32px;
    padding-right: 32px;
  }

  /* Page Hero */
  .head-typo {
    padding: 0 48px;
  }

  /* Page Container */
  .content {
    padding: 50px 48px 200px 48px;
  }
}

@media screen and (max-width:1440px) {
  /* Header */
  .header-masthead {
    padding: 0 32px;
  }
}

@media screen and (max-width:1280px) {
  /* */
}

@media screen and (max-width:1024px) {
  /* */
}

@media screen and (max-width: 800px) {
  /* Footer */
  .footer-content{
    padding: 32px 24px;
  }

  .footer-content-info {
    flex-direction: column;
    gap: 32px;
  }

  .footer-logo {
    width: 100px;
    height: auto;
  }

  .footer-address p, .footer-address p span {
    font-size: 13px;
  }

  .footer-slogun p {
    color: var(--gray500);
    font-size: 32px;
  }

  .footer-slogun::after {
    display: none;
  }

  /* Page Head */
  .head-section {
    height: 400px;
  }

  .head-section-inner {
    padding-bottom: 48px;
  }

  .head-typo {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .thin-line {
    width: 30px;
  }

  .head-typo-slogun {
    font-size: 32px;
  }

  .head-typo-sub {
    font-size: 12px;
    font-weight: 300;
    letter-spacing: 0.05em;
  }

  .content {
    padding-bottom: 150px;
  }

}

@media screen and (max-width: 640px) {
  /* Footer */ 
  .footer-content-inner {
    padding: 60px 20px 120px 20px;
  }

  .footer-address {
    gap: 8px;
  }

  .footer-address p {
    flex-wrap: wrap;
    gap: 8px;
  }

  .footer-address p.copyright {
    margin-top: 12px;
    font-size: 11px;
  }

  .footer-slogun p {
    font-size: 24px;
  }

  /* Page Head */
  .head-section {
    height: 250px;
  }

  .head-typo-slogun {
    font-size: 24px;
  }

}

@media screen and (max-width: 430px) {
  /* Footer */
  #page-up {
    right: 16px;
    bottom: 16px;
    width: 54px;
    height: 54px;
  }

  /* Page Head */
  .head-section-inner {
    padding-bottom: 32px;
  }

  /*** Page Container ***/
  .content {
    padding: 30px 20px 90px 20px;
  }

}

/* Mobile Navigation Break Point
--------------------------------------------- */
@media screen and (max-width:1024px) {
  .site-header {
    display: none;
  }

  .site-header-mobile {
    display: block;
    z-index: 100;
  }

  html.nav-open .mobile-header h1.mobile-logo {
    display: none;
  }

  .mobile-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 62px;
    background-color: transparent;
    z-index: 100;
  }

  .site-header-mobile.light .mobile-header {
    background-color: #FFF;
    box-shadow: 0 2px 8px rgb(0 0 0 / 8%);
  }

  .nav-open .site-header-mobile.light .mobile-header {
    background-color: transparent;
    box-shadow: none;
  }

  .nav-open .mobile-header {
    border-bottom-width: 0;
  }

  .mobile-header h1.mobile-logo {
    padding-left: 20px;
  }

  .mobile-header h1.mobile-logo a {
    display: flex;
    width: 110px;
    align-items: center;
  }

  .mobile-header h1.mobile-logo a img {
    height: auto;
  }

  .site-header-mobile.light h1.mobile-logo a img,
  .site-header-mobile h1.mobile-logo a img.light  {
    display: none;
  }

  .site-header-mobile.light h1.mobile-logo a img.light {
    display: block;
  }

  .mob-toggle {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    width: 38px;
    height: 30px;
    padding: 7px;
    z-index: 9000;
    font-size: 24px;
  }

  .mob-toggle:before, .mob-toggle:after {
    background-color: #FFF;
    content: '';
    display: block;
    height: 2px;
    transition: all 0.1s ease-in-out;
  }

  .mob-toggle:before {
    box-shadow: 0 7px 0 0px #FFF;
    margin-bottom: 12px;
  }

  .mob-toggle--active:before {
    background-color: #FFF;
    box-shadow: 0 0 0 #FFF;
    transform: translateY(6px) rotate(45deg);
  }

  .mob-toggle--active:after {
    background-color: #FFF;
    transform: translateY(-8px) rotate(-45deg);
  }

  .site-header-mobile.light .mob-toggle:before, .site-header-mobile.light .mob-toggle:after {
    background-color: var(--dark);
  }

  .site-header-mobile.light .mob-toggle:before {
    box-shadow: 0 7px 0 0px var(--dark);
  }

  .site-header-mobile.light .mob-toggle--active:before {
    box-shadow: 0 0 0 #1C3386;
  }

  .site-header-mobile.light .mob-toggle--active:before {
    background-color: #FFF;
    box-shadow: 0 0 0 #FFF;
  }

  .site-header-mobile.light .mob-toggle--active:after {
    background-color: #FFF;
  }

  .mob-toggle:hover {
    cursor: pointer;
  }

  .mobile-screen {
    display: block;
    position: fixed;
    z-index: 10;
    top: 0px;
    right: 0;
    bottom: 0;
    left: 0;
    min-height: 100vh;
    overflow-y: auto;
    padding-top: 50px;
    opacity: 0;
    visibility: hidden;
    background-color: var(--dark);
  }

  .mobile-screen--open {
    opacity: 1;
    visibility: visible;
  }

  .mobile-container {
    height: calc(100vh - 50px);
    padding: 24px 16px;
    overflow-y: auto;
  }

  .mobile-lang {
    display: flex;
    justify-content: flex-end;
    gap: 12px;
    padding: 0 8px;
    margin-bottom: 12px;
  }

  .mobile-lang a {
    display: flex;
    padding: 8px 18px;
    color: #FFF;
    font-size: 14px;
    line-height: 1.0;
    border-radius: 36px;
    background-color: #3c3c3c;
  }

  .mobile-lang a.active {
    color: var(--dark);
    background-color: #FFF;
  }

  .mobile-nav-list > .menu-item {
    border-bottom: 1px solid rgb(255 255 255 / 12%);
  }

  .mobile-nav-list > .menu-item > a {
    display: block;
    padding: 18px 8px;
    color: #FFF;
    font-size: 18px;
    font-weight: 600;
  }

  .mobile-nav-list > .menu-item.current-menu-parent > a {
    color: var(--secondary);
  }

  .mobile-nav-list > .menu-item > ul.sub-menu {
    display: none;
    margin-bottom: 18px;
  }

  .mobile-nav-list > .menu-item > ul.sub-menu li.menu-item a {
    display: block;
    color: var(--gray300);
    font-size: 16px;
    padding: 10px 12px;
  }

  .mobile-nav-list > .menu-item > ul.sub-menu li.menu-item.current-menu-item a {
    color: var(--secondary);
    text-decoration: underline;
  }

  .mobile-nav-list > .menu-item.menu-item-has-children > a::before {
    position: absolute;
    top: calc(50% - 5px);
    right: 12px;
    border: solid #FFF;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(45deg);
    content:"";
  }

  .mobile-nav-list > .menu-item.menu-item-has-children > a.on::before {
    transform: rotate(226deg);
  }

  .mobile-screen-slogun {
    color: rgb(255 255 255 / 60%);
    font-size: 16px;
    font-weight: 600;
    text-align: center;
    letter-spacing: 0.08em;
    font-family: var(--eng);
    margin-top: 48px;
  }
}